| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CacheChangeReaderInfo_t Struct Reference

Specific information for a reader. More...

`#include <CacheChange.hpp>`

## Public Attributes

Time_t | receptionTimestamp
| Reception TimeStamp (only used in Readers).
int32_t | disposed_generation_count
| Disposed generation of the instance when this entry was added to it.
int32_t | no_writers_generation_count
| No-writers generation of the instance when this entry was added to it.
uint32_t | writer_ownership_strength
| Ownership stregth of its writer when the sample was received.

## Detailed Description

Specific information for a reader.

## Member Data Documentation

## ◆ disposed_generation_count

int32_t disposed_generation_count

Disposed generation of the instance when this entry was added to it.

## ◆ no_writers_generation_count

int32_t no_writers_generation_count

No-writers generation of the instance when this entry was added to it.

## ◆ receptionTimestamp

Time_t receptionTimestamp

Reception TimeStamp (only used in Readers).

## ◆ writer_ownership_strength

uint32_t writer_ownership_strength

Ownership stregth of its writer when the sample was received.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/CacheChange.hpp